Loading...
Searching...
No Matches
IDecoderMngr Class Referenceabstract

`#include <ocsd_dcd_mngr_i.h>`

Inheritance diagram for IDecoderMngr:
[legend]

## Public Member Functions

| IDecoderMngr ()
virtual | ~IDecoderMngr ()
virtual ocsd_err_t | createDecoder (const int create_flags, const int instID, const CSConfig *p_config, TraceComponent **ppComponent)=0
virtual ocsd_err_t | destroyDecoder (TraceComponent *pComponent)=0
virtual const ocsd_trace_protocol_t | getProtocolType () const =0
| Get the built in protocol type ID managed by this instance - extern for custom decoders.
virtual ocsd_err_t | attachErrorLogger (TraceComponent *pComponent, ITraceErrorLog *pIErrorLog)=0
| attach error logger to ptk-processor, or both of pkt processor and pkt decoder pair
virtual ocsd_err_t | attachInstrDecoder (TraceComponent *pComponent, IInstrDecode *pIInstrDec)=0
| attach instruction decoder to pkt decoder
virtual ocsd_err_t | attachMemAccessor (TraceComponent *pComponent, ITargetMemAccess *pMemAccessor)=0
| attach memory accessor to pkt decoder
virtual ocsd_err_t | attachOutputSink (TraceComponent *pComponent, ITrcGenElemIn *pOutSink)=0
| attach generic output interface to pkt decoder
virtual ocsd_err_t | attachPktMonitor (TraceComponent *pComponent, ITrcTypedBase *pPktRawDataMon)=0
| attach a raw packet monitor to pkt processor (solo pkt processor, or pkt processor part of pair)
virtual ocsd_err_t | attachPktIndexer (TraceComponent *pComponent, ITrcTypedBase *pPktIndexer)=0
| attach a packet indexer to pkt processor (solo pkt processor, or pkt processor part of pair)
virtual ocsd_err_t | attachPktSink (TraceComponent *pComponent, ITrcTypedBase *pPktDataInSink)=0
| attach a packet data sink to pkt processor output (solo pkt processor only - instead of decoder when pkt processor only created.)
virtual ocsd_err_t | getDataInputI (TraceComponent *pComponent, ITrcDataIn **ppDataIn)=0
| get raw data input interface from packet processor
virtual ocsd_err_t | createConfigFromDataStruct (CSConfig **pConfigBase, const void *pDataStruct)=0

## Detailed Description

Definition at line 49 of file ocsd_dcd_mngr_i.h.

## Constructor & Destructor Documentation

## IDecoderMngr()

IDecoderMngr::IDecoderMngr | ( |  | ) |

inline

Definition at line 52 of file ocsd_dcd_mngr_i.h.

## ~IDecoderMngr()

virtual IDecoderMngr::~IDecoderMngr | ( |  | ) |

inline virtual

Definition at line 53 of file ocsd_dcd_mngr_i.h.

## Member Function Documentation

## attachErrorLogger()

virtual ocsd_err_t IDecoderMngr::attachErrorLogger | ( | TraceComponent * | pComponent,
|  | ITraceErrorLog * | pIErrorLog )

pure virtual

attach error logger to ptk-processor, or both of pkt processor and pkt decoder pair

Implemented in DecoderMngrBase< P, Pt, Pc >, DecoderMngrBase< EtmV3TrcPacket, ocsd_etmv3_pkt_type, EtmV3Config >, DecoderMngrBase< EtmV4ITrcPacket, ocsd_etmv4_i_pkt_type, EtmV4Config >, DecoderMngrBase< PtmTrcPacket, ocsd_ptm_pkt_type, PtmConfig >, and DecoderMngrBase< StmTrcPacket, ocsd_stm_pkt_type, STMConfig >.

## attachInstrDecoder()

virtual ocsd_err_t IDecoderMngr::attachInstrDecoder | ( | TraceComponent * | pComponent,
|  | IInstrDecode * | pIInstrDec )

pure virtual

attach instruction decoder to pkt decoder

Implemented in DecoderMngrBase< P, Pt, Pc >, DecoderMngrBase< EtmV3TrcPacket, ocsd_etmv3_pkt_type, EtmV3Config >, DecoderMngrBase< EtmV4ITrcPacket, ocsd_etmv4_i_pkt_type, EtmV4Config >, DecoderMngrBase< PtmTrcPacket, ocsd_ptm_pkt_type, PtmConfig >, and DecoderMngrBase< StmTrcPacket, ocsd_stm_pkt_type, STMConfig >.

## attachMemAccessor()

virtual ocsd_err_t IDecoderMngr::attachMemAccessor | ( | TraceComponent * | pComponent,
|  | ITargetMemAccess * | pMemAccessor )

pure virtual

attach memory accessor to pkt decoder

Implemented in DecoderMngrBase< P, Pt, Pc >, DecoderMngrBase< EtmV3TrcPacket, ocsd_etmv3_pkt_type, EtmV3Config >, DecoderMngrBase< EtmV4ITrcPacket, ocsd_etmv4_i_pkt_type, EtmV4Config >, DecoderMngrBase< PtmTrcPacket, ocsd_ptm_pkt_type, PtmConfig >, and DecoderMngrBase< StmTrcPacket, ocsd_stm_pkt_type, STMConfig >.

## attachOutputSink()

virtual ocsd_err_t IDecoderMngr::attachOutputSink | ( | TraceComponent * | pComponent,
|  | ITrcGenElemIn * | pOutSink )

pure virtual

attach generic output interface to pkt decoder

Implemented in DecoderMngrBase< P, Pt, Pc >, DecoderMngrBase< EtmV3TrcPacket, ocsd_etmv3_pkt_type, EtmV3Config >, DecoderMngrBase< EtmV4ITrcPacket, ocsd_etmv4_i_pkt_type, EtmV4Config >, DecoderMngrBase< PtmTrcPacket, ocsd_ptm_pkt_type, PtmConfig >, and DecoderMngrBase< StmTrcPacket, ocsd_stm_pkt_type, STMConfig >.

## attachPktIndexer()

virtual ocsd_err_t IDecoderMngr::attachPktIndexer | ( | TraceComponent * | pComponent,
|  | ITrcTypedBase * | pPktIndexer )

pure virtual

attach a packet indexer to pkt processor (solo pkt processor, or pkt processor part of pair)

Implemented in DecoderMngrBase< P, Pt, Pc >, DecoderMngrBase< EtmV3TrcPacket, ocsd_etmv3_pkt_type, EtmV3Config >, DecoderMngrBase< EtmV4ITrcPacket, ocsd_etmv4_i_pkt_type, EtmV4Config >, DecoderMngrBase< PtmTrcPacket, ocsd_ptm_pkt_type, PtmConfig >, and DecoderMngrBase< StmTrcPacket, ocsd_stm_pkt_type, STMConfig >.

## attachPktMonitor()

virtual ocsd_err_t IDecoderMngr::attachPktMonitor | ( | TraceComponent * | pComponent,
|  | ITrcTypedBase * | pPktRawDataMon )

pure virtual

attach a raw packet monitor to pkt processor (solo pkt processor, or pkt processor part of pair)

Implemented in DecoderMngrBase< P, Pt, Pc >, DecoderMngrBase< EtmV3TrcPacket, ocsd_etmv3_pkt_type, EtmV3Config >, DecoderMngrBase< EtmV4ITrcPacket, ocsd_etmv4_i_pkt_type, EtmV4Config >, DecoderMngrBase< PtmTrcPacket, ocsd_ptm_pkt_type, PtmConfig >, and DecoderMngrBase< StmTrcPacket, ocsd_stm_pkt_type, STMConfig >.

## attachPktSink()

virtual ocsd_err_t IDecoderMngr::attachPktSink | ( | TraceComponent * | pComponent,
|  | ITrcTypedBase * | pPktDataInSink )

pure virtual

attach a packet data sink to pkt processor output (solo pkt processor only - instead of decoder when pkt processor only created.)

Implemented in DecoderMngrBase< P, Pt, Pc >, DecoderMngrBase< EtmV3TrcPacket, ocsd_etmv3_pkt_type, EtmV3Config >, DecoderMngrBase< EtmV4ITrcPacket, ocsd_etmv4_i_pkt_type, EtmV4Config >, DecoderMngrBase< PtmTrcPacket, ocsd_ptm_pkt_type, PtmConfig >, and DecoderMngrBase< StmTrcPacket, ocsd_stm_pkt_type, STMConfig >.

## createConfigFromDataStruct()

virtual ocsd_err_t IDecoderMngr::createConfigFromDataStruct | ( | CSConfig ** | pConfigBase,
|  | const void * | pDataStruct )

pure virtual

Implemented in DecoderMngrBase< P, Pt, Pc >, DecoderMngrBase< EtmV3TrcPacket, ocsd_etmv3_pkt_type, EtmV3Config >, DecoderMngrBase< EtmV4ITrcPacket, ocsd_etmv4_i_pkt_type, EtmV4Config >, DecoderMngrBase< PtmTrcPacket, ocsd_ptm_pkt_type, PtmConfig >, and DecoderMngrBase< StmTrcPacket, ocsd_stm_pkt_type, STMConfig >.

## createDecoder()

virtual ocsd_err_t IDecoderMngr::createDecoder | ( | const int | create_flags,
|  | const int | instID,
|  | const CSConfig * | p_config,
|  | TraceComponent ** | ppComponent )

pure virtual

Implemented in DecoderMngrBase< P, Pt, Pc >, DecoderMngrBase< EtmV3TrcPacket, ocsd_etmv3_pkt_type, EtmV3Config >, DecoderMngrBase< EtmV4ITrcPacket, ocsd_etmv4_i_pkt_type, EtmV4Config >, DecoderMngrBase< PtmTrcPacket, ocsd_ptm_pkt_type, PtmConfig >, and DecoderMngrBase< StmTrcPacket, ocsd_stm_pkt_type, STMConfig >.

## destroyDecoder()

virtual ocsd_err_t IDecoderMngr::destroyDecoder | ( | TraceComponent * | pComponent | ) |

pure virtual

Implemented in DecoderMngrBase< P, Pt, Pc >, DecoderMngrBase< EtmV3TrcPacket, ocsd_etmv3_pkt_type, EtmV3Config >, DecoderMngrBase< EtmV4ITrcPacket, ocsd_etmv4_i_pkt_type, EtmV4Config >, DecoderMngrBase< PtmTrcPacket, ocsd_ptm_pkt_type, PtmConfig >, and DecoderMngrBase< StmTrcPacket, ocsd_stm_pkt_type, STMConfig >.

## getDataInputI()

virtual ocsd_err_t IDecoderMngr::getDataInputI | ( | TraceComponent * | pComponent,
|  | ITrcDataIn ** | ppDataIn )

pure virtual

get raw data input interface from packet processor

Implemented in DecoderMngrBase< P, Pt, Pc >, DecoderMngrBase< EtmV3TrcPacket, ocsd_etmv3_pkt_type, EtmV3Config >, DecoderMngrBase< EtmV4ITrcPacket, ocsd_etmv4_i_pkt_type, EtmV4Config >, DecoderMngrBase< PtmTrcPacket, ocsd_ptm_pkt_type, PtmConfig >, and DecoderMngrBase< StmTrcPacket, ocsd_stm_pkt_type, STMConfig >.

## getProtocolType()

virtual const ocsd_trace_protocol_t IDecoderMngr::getProtocolType | ( |  | ) | const

pure virtual

Get the built in protocol type ID managed by this instance - extern for custom decoders.

Implemented in DecoderMngrBase< P, Pt, Pc >, DecoderMngrBase< EtmV3TrcPacket, ocsd_etmv3_pkt_type, EtmV3Config >, DecoderMngrBase< EtmV4ITrcPacket, ocsd_etmv4_i_pkt_type, EtmV4Config >, DecoderMngrBase< PtmTrcPacket, ocsd_ptm_pkt_type, PtmConfig >, and DecoderMngrBase< StmTrcPacket, ocsd_stm_pkt_type, STMConfig >.

The documentation for this class was generated from the following file:

- /build/libopencsd-wPklVS/libopencsd-1.5.5/decoder/include/common/ocsd_dcd_mngr_i.h